Update the current user's password
Changes the authenticated user's password after action-bound security verification.
PUT
/v1/users/me/passwordChanges the authenticated user's password after action-bound security verification.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/users/me/password" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "currentPassword": "Example-Password-2026!", "newPassword": "Example-Password-2026!" }'Empty